const isPublicKey = value => typeof value === 'object' && typeof value.bytes === 'object' && typeof value.bytes.BYTES_PER_ELEMENT === 'number' && typeof value.bytes.length === 'number' && value.bytes.BYTES_PER_ELEMENT === 1 && value.bytes.length === 32;
const isPda = value => typeof value === 'object' && typeof value.bump === 'number' && isPublicKey(value);
const isEqualToPublicKey = (left, right) => left.bytes.toString() === right.bytes.toString();

export { isEqualToPublicKey, isPda, isPublicKey };
//# sourceMappingURL=PublicKey.mjs.map
